# Class MessagePart

java.lang.Object
org.apache.tomcat.websocket.MessagePart

public class MessagePart extends Object

## Method Summary

Modifier and Type
Method
Description
`long`
`getBlockingWriteTimeoutExpiry()`
`SendHandler`
`getEndHandler()`
`SendHandler`
`getIntermediateHandler()`
`byte`
`getOpCode()`
`ByteBuffer`
`getPayload()`
`int`
`getRsv()`
`boolean`
`isFin()`
`void`
`setEndHandler(SendHandler endHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isFin

public boolean isFin()

### getRsv

public int getRsv()

### getOpCode

public byte getOpCode()

### getPayload

public ByteBuffer getPayload()

### getIntermediateHandler

public SendHandler getIntermediateHandler()

### getEndHandler

public SendHandler getEndHandler()

### setEndHandler

public void setEndHandler(SendHandler endHandler)

### getBlockingWriteTimeoutExpiry

public long getBlockingWriteTimeoutExpiry()